wg(8) and wg-quick(8) syntax highlighter library
================================================

highlighter.c contains a simple portable highlighter for the wg(8) and
wg-quick(8) configuration files. Simply copy `highlight.c` and
`highlight.h` into your project wholesale.

As a demo, a simple console highlighter program is included, alongside a
simple Qt5 GUI app to show its usage in realtime.

There is also a basic fuzzer, because why not?

Usage:

    $ make
    $ ./highlight < path/to/tunnel.conf

    $ make gui
    $ ./gui/highlight

    $ make fuzz
    $ ./fuzz -workers=$(nproc) -jobs=$(nproc) ./corpus
